local idTweaks, oUF, UnitFrame
do
  local _obj_0 = _G
  idTweaks, oUF = _obj_0.idTweaks, _obj_0.oUF
end
do
  local _class_0
  local _base_0 = {
    add_bar = function(self, bar)
      self.bars[bar.name] = bar
    end,
    remove_bar = function(self, bar)
      self.bars[bar.name] = nil
    end,
    add_indicator = function(self, indicator)
      self.indicators[indicator.name] = indicator
    end,
    remove_indicator = function(self, indicator)
      self.indicators[indicator.name] = nil
    end
  }
  _base_0.__index = _base_0
  _class_0 = setmetatable({
    __init = function(self, unit)
      self.unit = unit
      self.frame = oUF:Spawn(self.unit)
      self.bars = { }
      self.indicators = { }
    end,
    __base = _base_0,
    __name = "UnitFrame"
  }, {
    __index = _base_0,
    __call = function(cls, ...)
      local _self_0 = setmetatable({}, _base_0)
      cls.__init(_self_0, ...)
      return _self_0
    end
  })
  _base_0.__class = _class_0
  UnitFrame = _class_0
end
idTweaks.UnitFrame = UnitFrame
